# Uses of Class
org.jdesktop.application.ApplicationContext

Packages that use ApplicationContext
Package
Description
org.jdesktop.application

## Uses of ApplicationContext in org.jdesktop.application

Methods in org.jdesktop.application that return ApplicationContext
Modifier and Type
Method
Description
`protected final ApplicationContext`
ActionManager.`getContext()`
`final ApplicationContext`
Application.`getContext()`
The ApplicationContext for this Application.
`final ApplicationContext`
ApplicationActionMap.`getContext()`
Returns the `ApplicationContext`
`protected final ApplicationContext`
LocalStorage.`getContext()`
`protected final ApplicationContext`
ResourceManager.`getContext()`
`protected final ApplicationContext`
SessionStorage.`getContext()`
Returns `ApplicationContext` which was used during creation of this `SessionStorage` object.
`final ApplicationContext`
Task.`getContext()`
`final ApplicationContext`
View.`getContext()`
Gets the `ApplicationContext` for the `Application` that's responsible for showing/hiding this View.
Constructors in org.jdesktop.application with parameters of type ApplicationContext
Modifier
Constructor
Description
`protected`
`ActionManager(ApplicationContext context)`
``
`ApplicationActionMap(ApplicationContext context, Class actionsClass, Object actionsObject, ResourceMap resourceMap)`
Creates `ApplicationActionMap` object.
`protected`
`LocalStorage(ApplicationContext context)`
`protected`
`ResourceManager(ApplicationContext context)`
Construct a `ResourceManager`.
`protected`
`SessionStorage(ApplicationContext context)`
Constructs a SessionStorage object.
``
`TaskMonitor(ApplicationContext context)`
Construct a TaskMonitor.